const {
  defineConfig
} = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  //如果是hash模式， publicPath:""；如果是history， publicPath:"/"
  publicPath: "/",
  //打包的文件夹目录
  outputDir: "dist",
  // 打包之后的入口文件
  indexPath: "index.html",
  //静态资源目录
  assetsDir: "assets",
  //配置代理
  devServer: {
    proxy: {
      '/api': {
        target: 'https://colddelivery.coldbaozhida.com/cold_delivery',
        // target: 'http://192.168.11.77:6280', //测试
        ws: false,
        changeOrigin: true,
        pathRewrite: {
          '^/api': ''
        }
      }
    }
  }
})
